function [deriv] = CSTR_Gas(t,var)
global Cv P_D MWA R T rowo Fo CAo k1 k2 V P F y CB
% This defines the function CSTR_Gas which has two input arguments which are:
% t and var and the output is the derivative of var, deriv.
% Since we have two ode's, we initialize dy as 2 by 1 matrix.
row=var(1);
CA=var(2);
deriv = zeros(2,1);
P=row*R*T/MWA; %row=P*MW/(RT);
F=Cv*sqrt((P-P_D)/row); % flow through a valve
y=CA*R*T/P; %yA=PA/P; yA=CA*RT/P;
CB=(P/(R*T))*(1-y); %CB=P*(1-yA)/(RT);
deriv(1) = (rowo*Fo/V)-(row*F/V);
deriv(2) =(Fo*CAo/V)-(F*CA/V)-k1*CA+k2*CB;
