function [Pdiff] = DewT(T)
Pgiven=760.0; %Total Pressure is 760 mm Hg.
yB=0.5; % Mole-fraction of Benzene.
A1=-3848.09;% A1 and B1 are Antoine's constants for benzene 
B1=17.5318;
A2=-4328.12;%% A2 and B2 are Antoine's constants for toluene 
B2=17.913;
P1sat=exp(A1/(T+273.15)+B1); % Antoine's Eq. for benzene
P2sat=exp(A2/(T+273.15)+B2);% Antoine's Eq. for toluene
Pinv=(yB/P1sat+(1-yB)/P2sat);
Pcalc=1/Pinv;
XB=(yB*Pgiven)/P1sat
XT=((1-yB)*Pgiven)/P2sat
Pdiff=Pcalc-Pgiven;