% This defines the function myode which has two input arguments which are:
% t and T and the output is the derivative of T, dT.
clear all;
U=120.0;
A=1.571;
mw=192.42;
cw=4184;
term1= '-(120*1.571*(T-298))./(192.42*4184)';
term2=inline(term1,'t','T');
dT = term2; % Defining dT/dt
options = odeset('RelTol',1e-5,'AbsTol',1e-5);
lower=input('Enter the lower limit for integration: ');
upper_min=input('Enter the higher limit for integration: ');
initialval=input('Enter the initial value for y: ');
upper=upper_min*60;
[t,T] = ode45(dT,[lower upper],[initialval],options);
Tanal=dsolve('DTanal = -(120*1.571*(Tanal-298))/(192.42*4184)','Tanal(0)=To');
To=initialval;
MyY=eval(Tanal);
plot(t/60,T,'k*',t/60,eval(Tanal),'k-','LineWidth',2);
ylabel('\bf \fontsize{14} T, K'),xlabel('\bf \fontsize{14} time, min');
hleg = legend('Tnumeric','Tanal','Location','Best');
display (['tfinal= ', num2str(t(end)/60),' min',' Tnum_final= ', ...
    num2str(T(end)),' K', '  Tanal_final= ', num2str(MyY(end)), ' K'])