% To illustrate the behavior of the
% current, plot i vs. t for Vs/R = 3/2
% and R/L = 2. The curve illustrates
% the fact that the current approaches
% i = V/R exponentially.
Vs = 3; R = 2; L = 1;
t = 0 : 0.01 : 6;
i = (Vs/R) * ( 1 - exp(-R.*t/L) );
VR=Vs*( 1 - exp(-R.*t/L) );
VL=Vs*exp(-R.*t/L);
subplot(311) % splits into four plots, selects plot 1 to draw in

plot(t,i,'bo'), title('\bf Simple Circuit Example')
xlabel('\bf time, t'),ylabel('\bf current, i') 
subplot (312) % advance to plot 2 and repeat
plot(t,VR,'ro');
xlabel('\bf time, t'),ylabel('\bf V_R(t)')
subplot(313)
plot(t,VL,'ko');
xlabel('\bf time, t'),ylabel('\bf V_L(t)')
