function [ NumIntegRes ] = Simpson_OneThird( lower,upper,numstep)
%The evaluation of the integrand between the lower and upper limit 
%using Simpsons 1/3 rule.

if mod(numstep+1,2) == 0
disp('Routine needs an even number of steps')
numstep=input('Enter even number of steps: ');
end
ytemp2=input('Enter y as a function of x: ', 's');
ytempi=strrep(ytemp2,'*','.*');
ytempj=strrep(ytempi,'/','./');
ytemp3=strrep(ytempj,'^','.^');
ytemp4=inline(ytemp3,'x');
hval=(upper-lower)/numstep;
x = lower:hval:upper;
N=numstep+1;
step_odd = 1:2:N;
step_even = 2:2:(N-1);
weights(step_odd) = 2; weights(1) = 1; weights(N) = 1;
weights(step_even) = 4;
% f = sin(x.2);
NumIntegRes = hval/3*sum(weights.*ytemp4(x));
format long e
disp(['The numerical integration of ',ytemp3, ' from ', num2str(lower),...
    ' to ', num2str(upper),' is: ', num2str(NumIntegRes)])
end