clear all;
PureComp = dataset('XLSFile','PureComponentData2.xlsx');
myvar=cellstr(PureComp,'Compound');
myvar2=cellstr(PureComp,'Formula');
SearchKey= str2double(input('Input "1" to search by Compound Name "2" to search by Formula: ', 's'));
if SearchKey==1
CompName= input('Input the name of the Compound, say methane: ', 's');
matchStart = regexpi(myvar, CompName);
elseif SearchKey==2
FormName=input('Input the chemical formula, say CH4: ', 's');
matchStart = regexpi(myvar2, FormName);
else
display('You did not enter 1 or 2');
return
end
tempindex=1;
flag=0;
for idx=1:size(matchStart,1)
    if cell2mat(matchStart(idx,1))>=1
        myindx(tempindex,1)=idx;
        tempindex=tempindex+1;
        flag=1;
    end
end
if flag==0
    display ('No Entry was Found!; Good Luck and Try Again.')
    return
end
for idex2=1:size(myindx,1)
    value=myindx(idex2,1);
    display([value,PureComp.Compound(value),PureComp.Formula(value)])
end
CompNum= str2double(input('Input the number for the chosen compound, say "1" for methane: ', 's'));
Tabs= str2double(input('Input the absolute temperature in Kelvin ', 's'));
Pabs= str2double(input('Input the absolute pressure in atm ', 's'));
Pcr=PureComp.Pcr(CompNum);
Tcr=PureComp.Tcr(CompNum);
Rgas=0.08206;
aterm=(27.0/64.0)*Rgas^2*Tcr^2/Pcr;
bterm=Rgas*Tcr/(8.0*Pcr);
Vols=roots([Pabs, -(Pabs*bterm+Rgas*Tabs), aterm, -aterm*bterm]); % Finds all roots
GasVol=max(Vols(find(imag(Vols) == 0))); % finds largest real root for the gas volume
LiqVol=min(Vols(find(imag(Vols) == 0))); % finds smallest real root for the liquid volume
Zval=Pabs*GasVol/(Rgas*Tabs);
Tr=Tabs/Tcr;
Pr=Pabs/Pcr;
term1=Rgas*Tabs/(GasVol-bterm)^2;
term2=2*aterm/(GasVol^3);
alpha=(1.0/GasVol)*(Rgas/(GasVol-bterm))/(term1-term2);
kappa=(1.0/GasVol)*(1.0/(term1-term2));
display(['The material is:',PureComp.Compound(CompNum)]);
display(['Tr=',num2str(Tr),'   Pr=',num2str(Pr),'   Z=',num2str(Zval)])
display(['Vg=',num2str(GasVol),'  L/mol'])
display(['Vl=',num2str(LiqVol),'  L/mol'])
display(['The Gas Thermal Expansion Coefficient=',num2str(alpha),'   1/K'])
display(['The Gas Isothermal Compressibility Factor=',num2str(kappa),'   1/atm'])


