clear all;
% Batch reactor, multiple reaction and multiple species
% requires the odes be in function 'rxnode'
% define as global any variables used by any
% and all subroutines, functions
global k1 k2 % variables that we wish to share with the rxnode.m file
% Set parameters,
k1 = 2; k2 = 1;
ca0 = 2; % ca0 = initial concentration of species A
tfin = 2.0;
% c will be a matrix with three columns, one for each species.
% each row will be for another time point.
% initial conditions (c0) is a vector of three initial conds.
c0(1) = ca0 ; c0(2) = 0 ; c0(3) = 0;
set(gca,'NextPlot','replacechildren');
% Preallocate the struct array for the struct returned by getframe
F(50) = struct('cdata',[],'colormap',[]);
for loop = 1:50
    temp=0.0+(loop/50.0)*tfin;
options = odeset('RelTol',1e-4,'AbsTol',[1e-4 1e-4 1e-5]);
[t,c] = ode45(@rxnode,[0 temp],[2 0 0],options);
ca = c(:,1);
cb = c(:,2);
cc = c(:,3);
Canal=dsolve('DCA=-k1*CA','DCB=k1*CA-k2*CB','DCC=k2*CB','CA(0)=CAo', ...
    'CB(0)=CBo','CC(0)=CCo');
CAo=c0(1);CBo=c0(2);CCo=c0(3);
CA=eval(Canal.CA);
CB=eval(Canal.CB);
CC=eval(Canal.CC);
subplot(311) % splits into four plots, selects plot 1 to draw in
plot (t,c(:,1),'k*',t,CA,'k-','LineWidth',2) % plots all rows column 1 of matrix c
% title('C_A'), 
xlabel('\bf time'), ylabel('\bf C_A');
subplot (312) % advance to plot 2 and repeat
plot (t,c(:,2),'k*',t,CB,'k-','LineWidth',2) % plots all rows column 2 of matrix c
% title('C_B'), 
xlabel('\bf time'), ylabel('\bf C_B');
subplot(313)
plot (t,c(:,3),'k*',t,CC,'k-','LineWidth',2) % plots all rows column 3 of matrix c
% title('C_C'), 
xlabel('\bf time'), ylabel('\bf C_C')
% title('CA vs. time');xlabel('t');ylabel('Ci');
% M(:,loop+1) = getframe(gcf,rectangle_vector );
F(loop) = getframe(gcf);
% to record the frames and play them back in the same or new figure with the
% form
end
 implay(F);
