clear all; close all;
myds = dataset('XLSFile','WingStress.xls');
StrainUnits = repmat({'kPa = kN/m^2'},1,14);
myds.Properties.Units = {'m/s','degrees',StrainUnits{:}};
Left  = {'L1','L2','L3','L4','L5','L6','L7'};
Right = {'R1','R2','R3','R4','R5','R6','R7'};
for i = 1:length(Left)
    %Lx = double(myds,vars) returns the contents of the dataset variables
    %specified by vars. vars can be a positive integer; a vector of positive
    %integers; a variable name; a cell array containing one or more
    %variable names; or a logical vector.
    Lx = double(myds,Left{i});
    Rx = double(myds,Right{i});
    h(i) = kstest2(Lx,Rx,0.05); % test Lx = Rx
    if h(i) > 0 % Plot potentially bad data
    figure;
    plot(Lx,Rx,'*');
    hold on;
    x=0:10:400;
    y=0:10:400;
    plot(x,y,'-')
    xlabel(Left{i}),ylabel(Right{i})
    label = [Right{i},' vs. ',Left{i}];
    title(label);
    fprintf('%s failed test, h = %i\n',label,h(i))
    end
end
