clear all; close all;
myds = dataset('XLSFile','WingStress.xls');
StrainUnits = repmat({'kPa = kN/m^2'},1,14);
myds.Properties.Units = {'m/s','degrees',StrainUnits{:}};
% Construct nominal categorical 1x1 array named Health
Health = nominal('Alive');
% Health array will be 72x14
Health = repmat(Health,length(myds),14);
% Additional 14 columns to be created for the new dataset myds2 
% where all will be initially labeled as 'Alive'
HLeft = {'HL1','HL2','HL3','HL4','HL5','HL6','HL7'};
HRight = {'HR1','HR2','HR3','HR4','HR5','HR6','HR7'};
% myds2 will be 72x30 matrix with the 14 additional columns that are 
% labeled by: HL1,..., HL7, HR1, ..., HR7. All new 72x14 entries are 
% labeled as "Alive" 
myds2 = [myds dataset({Health,HLeft{:},HRight{:}})];
HealthUnits = repmat({'[-]'},1,14);
myds2.Properties.Units= [myds.Properties.Units HealthUnits];
R2L2 = myds2.R2./myds2.L2; % ratio 
% indx is 72x1 logical array which has either 0 or 1 entry.
indx = R2L2 < 0.5;
% If indx is one (i.e., (R2/L2)<0.5) then label R2 entry as "Dead" in myds2
% matrix
myds2.HR2(indx) = 'Dead';
summary (myds2)

figure;
    % plot while excluding bad data points in R2 column and the
    % corresponding column L2.
    plot(myds2.L2(~indx),myds2.R2(~indx),'*');
    hold on;
    x=0:10:400;
    y=0:10:400;
    plot(x,y,'-')
    xlabel('L2'),ylabel('R2')
    label = ['R2',' vs. ','L2'];
    title(label);

