clear all; close all;
myds = dataset('XLSFile','WingStress.xls');
StrainUnits = repmat({'kPa = kN/m^2'},1,14);
myds.Properties.Units = {'m/s','degrees',StrainUnits{:}};
Left  = {'L1','L2','L3','L4','L5','L6','L7'};
Right = {'R1','R2','R3','R4','R5','R6','R7'};
R2L2 = myds.R2./myds.L2; % ratio and remove values below 50% (0.5)
indx = R2L2 < 0.5;
% Remove bad data points from R2 vector
myds.R2(indx) = NaN;
% stress is 72x14 Double-type matrix that contains stess values evaluated
% at 14 locations (L1, ..., L7, R1, ..., R7) for nine different degrees.
stress = double(myds,[Left,Right]);
[p,t,stats] = anova1(stress,[Left,Right]);
