clear all; close all;
myds = dataset('XLSFile','WingStress.xls');
StrainUnits = repmat({'kPa = kN/m^2'},1,14);
myds.Properties.Units = {'m/s','degrees',StrainUnits{:}};
R2L2 = myds.R2./myds.L2; % ratio and remove values below 50% (0.5)
for indx=1:length(myds)
if R2L2(indx)<0.5
% Assign Nan value for the entry in R2 column in case R2/L2 <0.5.
myds.R2(indx) = NaN;
end
end
% The dataset will exclude L3, as was explained earlier that it is odd in
% behavior
myds2=[myds.L1 myds.L2 myds.L4 myds.L5 myds.L6 myds.L7];
myds3=[myds2 myds.R1 myds.R2 myds.R3 myds.R4 myds.R5 myds.R6 myds.R7];
[d,p,stats] = manova1(myds3,myds.Angle,0.05)
manovacluster(stats)
xlabel('Wind Gust Angle (deg)')
