clear all;
global Cv P_D MWA R T rowo Fo CAo k1 k2 V P  F y CB
Cv=15.0;
P_D=10.0;
MWA=50.0;
MWB=50.0;
R=0.082057;
T=350.0;
Po=30.0;
rowo=(Po*MWA)/(R*T);
Fo=10.0;
CAo=rowo/MWA;
k1=0.5;
k2=0.05;
V=1000.0;
tf=30.0;
options = odeset('RelTol',1e-6,'AbsTol',[1e-6 1e-6]);
[t,var] = ode45(@CSTR_Gas,[0 tf],[rowo CAo],options);
row = var(:,1);
CA = var(:,2);
P=row*R*T/MWA;
F=Cv*sqrt((P-P_D)./row);
y=CA*R*T./P;
XA=(CAo-CA)/CAo;
CB=(P/(R*T)).*(1.0-y);
% CB=(row-CA*MWA)/MWB; % You may also use this to define CB.
subplot(411) % splits into four plots; selects plot #1 to draw in
plot (t,CA,'k.','LineWidth',3) % plot #1 
ylabel(['\bf C_A',' mol/L']);
subplot (412) % advance to plot #2
plot (t,XA,'kx','LineWidth',2) % plot #2
ylabel('\bf Conversion, X_A');
subplot(413) % advance to plot #3
plot (t,y,'k-','LineWidth',3)  % plot #3  
ylabel('\bf y');
subplot(414) % advance to plot #4
plot (t,CB,'k*','LineWidth',1)  %plot #4
xlabel('\bf time unit'), ylabel('\bf C_B, mol/L');