clear all;
global row Cp k

% Ref: http://www.engineeringtoolbox.com/metal-alloys-densities-d_50.html
% For Aluminum
% row=2712 kg/m3
% For Cast Iron
% row=6800-7800 kg/m3
% For Copper
% row=8930 kg/m3
% For Iron
% row= 7850 kg/m3
% For Lead
% row= 11340 kg/m3
% For Silver
% row=10490 kg/m3

% Ref: http://www.engineeringtoolbox.com/specific-heat-metals-d_152.html
% For Aluminum
% Cp= 0.91e3 (J/kg.K)
% For Cast Iron
% Cp=0.46e3 J/(kg.K)
% For Copper
% Cp=0.39e3 J/(kg.K)
% For Iron
% Cp=0.46e3 J/(kg.K)
% For Lead
% Cp=0.13e3 J/(kg.K)
% For Silver
% Cp=0.23e3 J/(kg.K)

%Ref: http://www.engineeringtoolbox.com/thermal-conductivity-metals-d_858.html
%1 Btu/(hr oF ft2/ft) = 1 Btu/(hr oF ft) = 1.731 W/(m K) = 1.488 kcal/(h m oC)
% For Aluminum at 68oF
% k=118/1.731 W/(m.K)
% For Cast Iron, gray at 70oF
% k=27/1.731 - 46/1.731 W/(m.K)
% For Copper at 68oF
% k=223/1.731 W/(m.K)
% For Iron at 68oF
% k= 42/1.731 W/(m.K)
% For Lead at 68oF
% k=20/1.731 W/(m.K)
% For Silver at 68oF
% k= 235/1.731 W/(m.K)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% For Aluminum
row=2712;
Cp= 0.91e3;
k=118/1.731;
x = 0:0.01:2;
t = 0:75:15000;
m = 0;
sol = pdepe(m,@pdex1pde,@pdex1ic,@pdex1bc,x,t);
u=sol(:,:,1);
surf(x,t,u);    
title('\bf \fontsize{14} Numerical solution computed with 200 mesh points');
xlabel('\bf \fontsize{14} Distance x, m');
ylabel('\bf \fontsize{14} Time t, s');
zlabel('\bf \fontsize{14} \theta(x,t)');
figure;
plot(x,u(1,:),'k-','LineWidth',2);
hold on;
plot(x,u(61,:),'ko','LineWidth',2);
plot(x,u(101,:),'k*','LineWidth',2);
plot(x,u(end,:),'k+','LineWidth',2);
title('\bf \fontsize{14} \theta(x) for Successive t Values');
xlabel('\bf \fontsize{14} Distance x, m');
ylabel('\bf \fontsize{14} \theta(x)');
hleg = legend('t=0 s','t=4500 s','t=7500 s','t=15000 s','Location','Best');