clear all;
global row Cp k
% The material is aluminim (Al).
row=2712;
Cp= 0.91e3;
k=118/1.731;
C2=k/(row*Cp);
myi=0;
for x = 0:0.04:2;
    myi=myi+1;
    myj=0;
    xscaled=x/2;
for t = 0:300:15000;
    myj=myj+1;
    mysol(myj,myi)=myseries(xscaled,t);
end
end
x = 0:0.04:2;
t = 0:300:15000;
surf(x,t,mysol)
title('\bf \fontsize{14} Analytical Solution');
ylabel('\bf \fontsize{14} Time t, s');
xlabel('\bf \fontsize{14} Distance x, m');
zlabel('\bf \fontsize{14} \theta(x,t)');
figure;
plot(x,mysol(1,:),'k-','LineWidth',2);
hold on;
plot(x,mysol(16,:),'ko','LineWidth',2);
plot(x,mysol(26,:),'k*','LineWidth',2);
plot(x,mysol(end,:),'k+','LineWidth',2);
title('\bf \fontsize{14} \theta(x) for Successive t Values');
xlabel('\bf \fontsize{14} Distance x, m');
ylabel('\bf \fontsize{14} \theta(x)');
hleg = legend('t=0 s','t=4500 s','t=7500 s','t=15000 s','Location','Best');
