clear all;
global DAB
DAB=1.15e-5;
z = 0:0.01:2;
t = 0:75:15000;
m = 0;
sol = pdepe(m,@pdex1pde108,@pdex1ic108,@pdex1bc108,z,t);
u=sol(:,:,1);
surf(z,t,u)    
title('\bf \fontsize{14} Numerical solution computed with 200 mesh points');
xlabel('\bf \fontsize{14} Distance z, m');
ylabel('\bf \fontsize{14} Time t, s');
zlabel('\bf \fontsize{14} y(z,t)');
figure;
plot(z,u(1,:),'k--','LineWidth',2);
hold on;
plot(z,u(61,:),'k.','LineWidth',1);
plot(z,u(101,:),'k-.','LineWidth',3);
plot(z,u(end,:),'k:','LineWidth',3);
title('\bf \fontsize{14} y(z) for Successive t Values');
xlabel('\bf \fontsize{14} Distance z, m');
ylabel('\bf \fontsize{14} y(z)');
hleg = legend('t=0 s','t=4500 s','t=7500 s','t=15000 s','Location','Best');
